﻿DECLARE @DATACOUNT as int;

DECLARE @SEQ_NO  as varchar(3);
DECLARE @POST_ID_PREV as varchar(max);

SET @POST_ID_PREV = (SELECT TOP 1 POST_ID FROM TB_M_POST WHERE POST_SEQ < @POST_SEQ);

SET @SEQ_NO = (SELECT SEQ_NO FROM TB_R_RFID_WRITE WHERE BODY_NO = @BODY_NO AND VINNO = @VINNO AND POST_ID = @POST_ID_PREV);

SET @DATACOUNT = (SELECT COUNT(BODY_NO) FROM TB_R_RFID_WRITE WHERE POST_ID = @POST_ID AND BODY_NO = @BODY_NO);
if(@DATACOUNT>0)
BEGIN
	UPDATE TB_R_RFID_WRITE SET POST_ID = @POST_ID, SEQ_NO = @SEQ_NO, BODY_NO = @BODY_NO, CHANGED_BY = 'system', CHANGED_DT = GETDATE() WHERE POST_ID = @POST_ID AND BODY_NO = @BODY_NO;
END
ELSE
BEGIN
	INSERT INTO TB_R_RFID_WRITE(POST_ID, BODY_NO, SEQ_NO, CREATED_BY, CREATED_DT,CHANGED_BY,CHANGED_DT)
	VALUES(@POST_ID, @BODY_NO, @SEQ_NO, 'Service', GETDATE(),'Service', GETDATE());
END